Description

Documentation often gets a backseat to features in QGIS. It's a chore for people to do after the "fun" of building powerful features.

Therefore, we should make contributing and distributing documentation as quick and painless as possible.

On http://www.qgis.org/en/docs, in addition to hosting documentation for each released version of QGIS, we should offer a rolling "Latest"

release of the docs which is automatically built whenever documentation source is updated.

Pros:

 - Show that you appreciate documentation changes by publishing them immediately.

 - Always have available the "latest" docs for those using QGIS-master

 - Makes it easier to publish the release version of the docs, since they're already built. Historically publishing documentation can lag quite

a bit: (e.g. see #13212)

History

#1 - 2015-11-24 12:50 PM - Michael Kirk

I'm actually a bit confused: I see this http://docs.qgis.org/testing/en/docs/index.html which sounds like what I'm asking for, but it seems out of date. Maybe

it's just been manually made?

#2 - 2015-11-25 06:13 AM - Sebastian Dietrich

Interesting question.

The latest documentation commit (2015-11-25 9:53 UTC) is not yet integrated in the testing docs (2015-11-25 14:15 UTC). Let's have an eye on it when it

will show up there!

#3 - 2015-11-26 01:29 PM - Sebastian Dietrich

Ok, the mentioned commit made its way to the testing docs (checked at 2015-11-26 21:20 UTC). So probably this is the nightly build of the current

documentation. It's sad :-(

Can this ticket be closed then?

#4 - 2016-04-02 12:25 PM - Harrissou Santanna

- Resolution set to invalid

- Status changed from Open to Closed
